<template>
    <div>
        <el-form :model="queryParams" ref="tableList" :inline="true" label-width="76px" style="margin: 10px 10px">
            <el-form-item label="体检时间" prop="date">
                <el-date-picker v-model="value1" type="datetimerange" align="right"  :picker-options="pickerOptions" start-placeholder="开始日期"
                    end-placeholder="结束日期" :default-time="['00:00:00', '23:00:00']" format="yyyy-MM-dd HH:mm"
                    value-format="yyyy-MM-dd HH:mm" @change="dateChangebirthday1">
                </el-date-picker>
            </el-form-item>
            <el-form-item>
                <el-button type="primary" size="medium" icon="el-icon-search" @click="submitForm">搜索</el-button>
                <el-button type="primary" @click="submitForm">
                    <download-excel class="blueBtn" :data="DateList" :fields="json_fields" worksheet="My Worksheet"
                        name="科室工作量统计">
                        导出
                    </download-excel>
                </el-button>
            </el-form-item>
        </el-form>

        <template>
            <el-table v-loading="loading" :data="DateList" height="530px" border style="width: 96%;margin: 10px 15px;">

                <el-table-column prop="deptName" label="科室">
                </el-table-column>
                <el-table-column prop="address" label="医师">
                </el-table-column>
                <el-table-column prop="tjCount" label="体检登记数">
                </el-table-column>
                <el-table-column prop="tjFinishCount" label="体检完成数">
                </el-table-column>
                <el-table-column prop="tjFinishRate" label="体检完成率">
                </el-table-column>
                <el-table-column prop="reportCount" label="出报告数">
                </el-table-column>
                <el-table-column prop="reportRate" label="出报告率">
                </el-table-column>

            </el-table>
        </template>
    </div>
</template>

<script>
import { getTjDeptCountList} from "@/api/count/department";
export default {
    name: "department",
    dicts: ['sys_normal_disable'],
    data() {
        return {
             // 遮罩层
      loading: true,
            pickerOptions: {
          shortcuts: [{
            text: '最近一周',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
              picker.$emit('pick', [start, end]);
            }
          }, {
            text: '最近一个月',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
              picker.$emit('pick', [start, end]);
            }
          }, {
            text: '最近三个月',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
              picker.$emit('pick', [start, end]);
            }
          }]
        },
            value1: "",
            DateList: [],
            startTime: "",
            dateAll: [],
            queryParams: {
                beginTime: null,
                endTime: null,
            },
            queryParam: {
                deptName: null,
                address: null,
                tjCount: null,
                tjFinishCount: null,
                tjFinishRate: null,
                reportCount: null,
                reportRate: null

            },
            json_fields: {
                '科室': 'deptName',
                '医师': 'address',
                '体检登记数': 'tjCount',
                '体检完成数': 'tjFinishCount',
                '体检完成率': 'tjFinishRate',
                '出报告数': 'reportCount',
                '出报告率': 'reportRate',
                
            },
        };
    },

    created() {
        this.getList()
    },

    methods: {
        getList() {
            this.loading = true;
            this.queryParams.beginTime = this.startTime[0];
            this.queryParams.endTime = this.startTime[1];
            getTjDeptCountList(this.queryParams).then((response) => {
                this.DateList = response.data;
                this.loading = false;
            })
        },
        // 时间
        dateChangebirthday1(val) {
            this.startTime = val;
        },

        // 搜索
        submitForm() {
            this.queryParams.pageNum = 1;
            this.getList();
        },

        // /** 导出按钮操作 */
        // handleExport() {
        //     // let data = this.DateList
        //     // getexportTjDeptCountVo(data).then((response) => {

        //     // })
        //     this.download('/home/page/exportTjDeptCountVo', {
        //         ...this.DateList
        //     }, `type_${new Date().getTime()}.xlsx`)
        // },
    },


};
</script>
<style>

</style>